{% extends 'adminbase.html.twig' %}

{% block title %}Category index{% endblock %}

{% block body %}
    <h1>Category index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>ParentCategory</th>
                <th>Discription</th>
                <th>Slug</th>
                <th>Created_At</th>
                <th>Picture</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for category in categories %}
            <tr>
                <td>{{ category.id }}</td>
                <td>{{ category.title }}</td>
                <td>{{category.parentid ? category.parentid.title : ''}}</td>
                <td>{{ category.discription }}</td>
                <td>{{ category.slug }}</td>
                <td>{{ category.createdAt ? category.createdAt|date('Y-m-d H:i:s') : '' }}</td>
                <td><img src="{{ asset('uploads/category/'~ category.picture) }}" width="100"></td>
                <td>
                    <a href="{{ path('app_category_show', {'id': category.id}) }}">show</a>
                    <a href="{{ path('app_category_edit', {'id': category.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_category_new') }}">Create new</a>
{% endblock %}
